Status kill-switch timer
curl --request POST \
--url https://whitebit.com/api/v4/order/kill-switch/status \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_USDT",
"request": "{{request}}",
"nonce": "{{nonce}}"
}
'import requests
url = "https://whitebit.com/api/v4/order/kill-switch/status"
payload = {
"market": "BTC_USDT",
"request": "{{request}}",
"nonce": "{{nonce}}"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({market: 'BTC_USDT', request: '{{request}}', nonce: '{{nonce}}'})
};
fetch('https://whitebit.com/api/v4/order/kill-switch/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"market": "BTC_USDT",
"startTime": 1686127243,
"cancellationTime": 1686127343,
"types": [
"spot",
"margin"
]
}
]{
"code": 30,
"message": "Validation failed",
"errors": {}
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Status kill-switch timer
Check the current status of the kill-switch timer for automatic order cancellation via the V4 API.
POST
/
api
/
v4
/
order
/
kill-switch
/
status
Status kill-switch timer
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
Successful response - returns array of kill-switch timer statuses
Market name
Example:
"BTC_USDT"
Timer start timestamp
Example:
1686127243
Order cancellation timestamp (startTime + timeout)
Example:
1686127343
Order types affected by kill-switch
Available options:
spot, margin, futures Example:
["spot", "margin"]
Was this page helpful?
⌘I